<?php colabs_comment_before(); ?>

<div id="comments">
<?php
/*-----------------------------------------------------------------------------------*/
/* CoLabs - colabs_list_comments */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_list_comments')){
function colabs_list_comments($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	$GLOBALS['comment_depth'] = $depth;
    
?>
<li <?php comment_class(); ?>>

    <div class="comment-entry" id="comment-<?php comment_ID(); ?>">

        <?php if(get_comment_type() == "comment"){ ?>
            <div class="comment-author"><?php the_commenter_avatar($args); ?></div>
        <?php } ?>
        
        <div class="comment-content">
            <p>
                <span class="author-name"><?php the_commenter_link(); ?></span>
                <span class="comment-meta"><?php echo get_comment_date(get_option('date_format')); ?></span>
            </p>
            
            <?php if ( $comment->comment_approved == '0' ) : ?>
            <em class="comment-awaiting-moderation">
            <?php _e( 'Your comment is awaiting moderation.', 'colabsthemes' ); ?>
            </em> <br />
            <?php endif; ?>
            
            <?php comment_text(); ?>
            
            <p>
                <?php comment_reply_link(array_merge( $args, array('reply_text' => __( 'Reply', 'colabsthemes' ), 'depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
            </p>
            
        </div><!-- .comment-content -->
        
    </div><!-- /.comment-entry -->

</li><!-- /.comment-class -->

<?php } } //end colabs_list_comments



function the_commenter_link() {
    $commenter = get_comment_author_link();
    if ( ereg( ']* class=[^>]+>', $commenter ) ) {$commenter = ereg_replace( '(]* class=[\'"]?)', '\\1url ' , $commenter );
    } else { $commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter );}
    echo $commenter ;
}

function the_commenter_avatar($args) {
    $email = get_comment_author_email();
    $avatar = str_replace( "class='avatar", "class='photo avatar", get_avatar( "$email",  $args['avatar_size']) );
    echo $avatar;
}
?>

	<?php if ( have_comments() ) : ?>
        <h3 class="section-title"><?php comments_popup_link(__('Add Comment','colabsthemes'), __('Comment (1)','colabsthemes'),__('Comments (%)','colabsthemes'), 'entry-comment-link', ''); ?></h3>
		<ol class="commentlist">
			<?php wp_list_comments( array(
                'avatar_size' => 75,
				'type'			=> 'comment',
				'callback' 	=> 'colabs_list_comments',
			) ); ?>
		</ol>
		
	<?php
		/* If there are no comments and comments are closed, let's leave a little note, shall we?
		 * But we don't want the note on pages or post types that do not support comments.
		 */
		elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'colabsthemes' ); ?></p>
        
	<?php endif; ?>

    <div class="paginate_comments"><?php paginate_comments_links(); ?></div>

<?php
    $aria_req = '';
	// Custom comment form
	$fields = array(
		'author'	=> '<p class="comment-form-author">
                            <label>'.__('Name','colabsthemes').': </label>
                            <input id="author" name="author" type="text" placeholder="'.__('Name','colabsthemes').'" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' />' . ( $req ? '' : '' ) . '</p>',
		'email'		=> '<p class="comment-form-email">
                            <label>'.__('Email','colabsthemes').': </label>
                            <input id="email" name="email" type="text" placeholder="'.__('Email','colabsthemes').'" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' />' . ( $req ? '' : '' ) . '</p>',
		'url'			=> '<p class="comment-form-url">
                                <label>'.__('URL / Website','colabsthemes').': </label>
                                <input id="url" name="url" type="text" placeholder="'.__('Website','colabsthemes').'" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>'
	);

	comment_form(array(
		'comment_field'        => '<p class="comment-form-comment">
                                    <label>'.__('Comment','colabsthemes').': </label>
                                    <textarea placeholder="'.__('Type your comment here','colabsthemes').'" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
		'comment_notes_before' => '',
		'comment_notes_after' => '',
		'title_reply'          => __( 'Leave A Comment', 'colabsthemes' ),
		'title_reply_to'       => __( 'Leave a Reply to %s', 'colabsthemes' ),
		'label_submit'         => __( 'Submit Comment', 'colabsthemes' ),
		'cancel_reply_link'    => __( 'Cancel Reply', 'colabsthemes' ),
	));
	?>
	
</div><!-- #comments -->

<?php colabs_comment_after(); ?>
