<?php 

/*-----------------------------------------------------------------------------------

TABLE OF CONTENTS

- Excerpt
- Breadcrumbs
- Page navigation
- CoLabsPageMenu - wp_page_menu filter
- CoLabsTabs - Popular Posts
- CoLabsTabs - Latest Posts
- CoLabsTabs - Latest Comments
- Dynamic Titles
- WordPress 3.0 New Features Support
- Wordpress Menu Navigation
- using_ie - Check IE
- post-thumbnail - WP 3.0 post thumbnails compatibility
- automatic-feed-links Features
- colabs_share - Twitter, FB & Google +1
- colabs_link - Alternate Link & RSS URL
- Open Graph Meta Function
- Search Form
- colabs_googlemap - Google Maps Function
- CoLabs - Add User Meta
- CoLabs - Loop Post
- CoLabs - List Comment
- CoLabs - WP-Caption
- CoLabs - Add Widget Button
- Related Posts - Single Posts
- colabs_social_net - Add social network icon
- CoLabs - Add field user profile
- Colabs - init admin css
-----------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/* SET GLOBAL CoLabs VARIABLES
/*-----------------------------------------------------------------------------------*/

// Slider Tags
	$GLOBALS['slide_tags_array'] = array();
// Duplicate posts 
	$GLOBALS['shownposts'] = array();

/*-----------------------------------------------------------------------------------*/
/* Excerpt
/*-----------------------------------------------------------------------------------*/

//Add excerpt on pages
if(function_exists('add_post_type_support'))
add_post_type_support('page', 'excerpt');

/** Excerpt character limit */
/* Excerpt length */
function colabs_excerpt_length($length) {
if( '' != get_option('colabs_excerpt_length') ){
        return get_option('colabs_excerpt_length');
    }else{
        return 45;
    }
}
add_filter('excerpt_length', 'colabs_excerpt_length');



//Custom Excerpt Function
function colabs_get_custom_excerpt($limit=35,$more='&hellip;') {
	global $post;
    $print_excerpt = '';
	if (''==$limit)$limit=35;
	$print_excerpt .= '<p>';
	$output = $post->post_excerpt;
	if (''!=$output){
    	$print_excerpt .= $output;
	}else{
        $content = get_the_content('');
        $content = strip_shortcodes( $content );
        $content = apply_filters('the_content', $content);
        $content = str_replace(']]>', ']]&gt;', $content);
        $content = strip_tags($content);	
        $excerpt = explode(' ',$content, $limit);
        array_pop($excerpt);
        $print_excerpt .= implode(" ",$excerpt).$more;
	}
	$print_excerpt .= '</p>';
	return $print_excerpt;
}

function colabs_custom_excerpt($limit=35,$more='&hellip;') {
    echo colabs_get_custom_excerpt($limit,$more);
}

 
/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - 404 */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_404')) {
	function colabs_404(){

        echo "<p>It seems that page you were looking for doesn't exist.Try searching the site.</p>";
   
	}
}
/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - Popular Posts */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_tabs_popular')) {
	function colabs_tabs_popular( $posts = 5, $size = 35 ) {
		global $post;
		$popular = get_posts('caller_get_posts=1&orderby=comment_count&showposts='.$posts);
		foreach($popular as $post) :
			setup_postdata($post);
	?>
	<li>
		<?php if ($size <> 0) colabs_image('height='.$size.'&width='.$size.'&class=thumbnail&single=true'); ?>
		<a title="<?php the_title(); ?>" href="<?php the_permalink() ?>"><?php the_title(); ?></a>
		<span class="meta"><?php the_time( get_option( 'date_format' ) ); ?></span>
		<div class="clear"></div>
	</li>
	<?php endforeach;
	}
}

/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - Latest Posts */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_tabs_latest')) {
	function colabs_tabs_latest( $posts = 5, $size = 35 ) {
		global $post;
		$latest = get_posts('caller_get_posts=1&showposts='. $posts .'&orderby=post_date&order=desc');
		foreach($latest as $post) :
			setup_postdata($post);
	?>
	<li>
		<?php if ($size <> 0) colabs_image('height='.$size.'&width='.$size.'&class=thumbnail&single=true'); ?>
		<a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		<span class="meta"><?php the_time( get_option( 'date_format' ) ); ?></span>
		<div class="clear"></div>
	</li>
	<?php endforeach; 
	}
}

/*-----------------------------------------------------------------------------------*/
/* CoLabsTabs - Latest Comments */
/*-----------------------------------------------------------------------------------*/
if (!function_exists('colabs_tabs_comments')) {
	function colabs_tabs_comments( $posts = 5, $size = 35 ) {
		global $wpdb;
		$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
		comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved,
		comment_type,comment_author_url,
		SUBSTRING(comment_content,1,50) AS com_excerpt
		FROM $wpdb->comments
		LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
		$wpdb->posts.ID)
		WHERE comment_approved = '1' AND comment_type = '' AND
		post_password = ''
		ORDER BY comment_date_gmt DESC LIMIT ".$posts;
		
		$comments = $wpdb->get_results($sql);
		
		foreach ($comments as $comment) {
		?>
		<li>
            <?php $comm_link = get_permalink($comment->ID) .'#comment-'. $comment->comment_ID; 
            $comm_author_link = $comment->comment_author_url;
            ?>
            <?php if( $comm_author_link ){ ?><a href="<?php echo $comm_author_link; ?>"><?php } ?>
                <?php echo get_avatar( $comment, $size ); ?>
            <?php if( $comm_author_link ){ ?></a><?php } ?>
		
			<div>
      <a href="<?php if( $comm_author_link ){ echo $comm_author_link; }else{ echo $comm_link; }?>" title="<?php esc_attr_e('on ', 'colabsthemes'); ?> <?php echo $comment->post_title; ?>">
                <span class="author"><?php echo strip_tags($comment->comment_author); ?></span></a>: <a href="<?php echo $comm_link; ?>" title="<?php esc_attr_e('on ', 'colabsthemes'); ?> <?php echo $comment->post_title; ?>"><span class="comment"><?php echo strip_tags($comment->com_excerpt); ?>...</span></a>
      </div>
			
			<div class="clear"></div>
		</li>
		<?php 
		}
	}
}



/*-----------------------------------------------------------------------------------*/
/* Dynamic Titles */
/*-----------------------------------------------------------------------------------*/
// This sets your <title> depending on what page you're on, for better formatting and for SEO

function dynamictitles($args) {

//value
$before = '';
$after = '';

if ( !is_array($args) ) 
    parse_str( $args, $args );
	
extract($args);
	
echo $before;

if ( is_single() ) {
      wp_title('');
     
} else if ( is_page() || is_paged() ) {
      
      wp_title();
 
} else if ( is_author() ) {
     
      wp_title(''.__('Author','colabsthemes').'');	  
	  
} else if ( is_category() ) {
      
      wp_title(''.__('Category for','colabsthemes').'');
      

} else if ( is_tag() ) {
      
      wp_title(''.__('Tag archive for','colabsthemes').'');

} else if ( is_archive() ) {
      
      echo (__('Archive for','colabsthemes').'');
      wp_title('');

} else if ( is_search() ) {
      
      echo (''.__('Search Results for ','colabsthemes').'');
	  echo '"';
		the_search_query();
	  echo '"';	
} else if ( is_404() ) {
      
      echo (__('404 Error (Page Not Found)','colabsthemes').'');
	  
} else if ( is_home() ) {
      bloginfo('name');
      echo (' | ');
      bloginfo('description');
 
} else {
      bloginfo('name');
      echo (' | ');
      echo ($blog_longd.'');
}

    echo $after;
}

/*-----------------------------------------------------------------------------------*/
/* WordPress 3.0 New Features Support */
/*-----------------------------------------------------------------------------------*/

if ( function_exists('register_nav_menus') ) {
	add_theme_support( 'nav-menus' );
    register_nav_menus( array(
        'main-menu' => __( 'Main Menu','colabsthemes' ),
        'footer-menu' => __( 'Footer Menu','colabsthemes' ),
    ));    
}


if (!function_exists('colabs_nav_fallback')) {
function colabs_nav_fallback($div_id){
    if (is_array($div_id)){ $div_id = $div_id['theme_location']; }
    if ( 'main-menu' == $div_id ){
        wp_page_menu('depth=0&title_li=&menu_class=top-nav');
    };
    if ( 'footer-menu' == $div_id || 'top-menu' == $div_id ){
        wp_page_menu('show_home='.__('Home','colabsthemes').'&depth=1&title_li=&menu_class=menu-footer');
        };
}}


/*-----------------------------------------------------------------------------------*/
/* using_ie - Check IE */
/*-----------------------------------------------------------------------------------*/
//check IE
function using_ie()
{
    if (isset($_SERVER['HTTP_USER_AGENT']) && 
    (false !== strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')))
        return true;
    else
        return false;    
}

/*-----------------------------------------------------------------------------------*/
/*  WP 3.0 post thumbnails compatibility */
/*-----------------------------------------------------------------------------------*/
if(function_exists( 'add_theme_support')){
	//if(get_option( 'colabs_post_image_support') == 'true'){
    if( get_option('colabs_post_image_support') ){
        add_theme_support( 'post-thumbnails' );		
		// set height, width and crop if dynamic resize functionality isn't enabled
		if ( get_option( 'colabs_pis_resize') <> "true" ) {
			$hard_crop = get_option( 'colabs_pis_hard_crop' );
			if('true' == $hard_crop) {$hard_crop = true; } else { $hard_crop = false;} 
            add_image_size( 'thumbnail', 100, 100, $hard_crop);
            add_image_size( 'featured-thumb', 125, 100, $hard_crop);
            add_image_size( 'featured-head', 357, 272, $hard_crop);
            add_image_size( 'post-thumb', 79, 66, $hard_crop);
            add_image_size( 'single-thumb', 463, 305, $hard_crop);
		}
	}
} 

/*-----------------------------------------------------------------------------------*/
/*  automatic-feed-links Features  */
/*-----------------------------------------------------------------------------------*/
if ( function_exists( 'add_theme_support' ) && '' == get_option('colabs_feedlinkurl') ) {
add_theme_support( 'automatic-feed-links' );
}

/*-----------------------------------------------------------------------------------*/
/*  colabs_share - Twitter, FB & Google +1    */
/*-----------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------*/
/*  colabs_share - Twitter, FB & Google +1    */
/*-----------------------------------------------------------------------------------*/

if ( !function_exists( 'colabs_share' ) ) {
function colabs_share() {
    
$return = '';


$colabs_share_twitter = get_option('colabs_share_twitter');
$colabs_share_fblike = get_option('colabs_share_fblike');
$colabs_share_google_plusone = get_option('colabs_share_google_plusone');
$colabs_share_pinterest = get_option('colabs_share_pinterest');
$colabs_share_linkedin = get_option('colabs_share_linkedin');

    //Share Button Functions 
    global $colabs_options;
    $url = get_permalink();
    $share = '';
    
    //Twitter Share Button
    if(function_exists('colabs_shortcode_twitter') && "true" == $colabs_share_twitter){
        $tweet_args = array(  'url' => $url,
   							'style' => 'horizontal',
   							'source' => ( $colabs_options['colabs_twitter_username'] )? $colabs_options['colabs_twitter_username'] : '',
   							'text' => '',
   							'related' => '',
   							'lang' => '',
   							'float' => 'fl'
                        );

        $share .= colabs_shortcode_twitter($tweet_args);
    }
    
   
        
    //Google +1 Share Button
    if( function_exists('colabs_shortcode_google_plusone') && "true" == $colabs_share_google_plusone){
        $google_args = array(
						'size' => 'medium',
						'language' => '',
						'count' => '',
						'href' => $url,
						'callback' => '',
						'annotation' => 'bubble',
						'float' => 'left'
					);        

        $share .= colabs_shortcode_google_plusone($google_args);       
    }
	
	 //Facebook Like Button
    if(function_exists('colabs_shortcode_fblike') && "true" == $colabs_share_fblike){
    $fblike_args = 
    array(	
        'float' => 'left',
        'url' => '',
        'style' => 'button_count',
        'showfaces' => 'false',
        'width' => '82',
        'height' => '',
        'verb' => 'like',
        'colorscheme' => 'light',
        'font' => 'arial'
        );
        $share .= colabs_shortcode_fblike($fblike_args);    
    }
	 
	global $post;
	if (is_attachment()){
	$att_image = wp_get_attachment_image_src( $post->id, "thumbnail");
	$image = $att_image[0];
	}else{
    $image = colabs_image('return=true&link=url&id='.$post->ID);
	}
	//Pinterest Share Button
    if( function_exists('colabs_shortcode_pinterest') && "true" == $colabs_share_pinterest){
        $pinterest_args = array(
						'count' => 'horizontal',
						'float' => 'left',  
						'use_post' => 'true',
						'image_url' => $image,
						'url' => $url
					);        

        $share .= colabs_shortcode_pinterest($pinterest_args);       
    }
	
	//Linked Share Button
    if( function_exists('colabs_shortcode_linkedin_share') && "true" == $colabs_share_linkedin){
        $linkedin_args = array(
						'style' => 'right', 
						'float' => 'left'
					);        

        $share .= colabs_shortcode_linkedin_share($linkedin_args);       
    }
	
    $return .= '<div class="social_share">'.$share.'</div><div class="clear"></div>';
    
    return $return;
}
}

/*-----------------------------------------------------------------------------------*/
/* colabs_link - Alternate Link & RSS URL */
/*-----------------------------------------------------------------------------------*/
add_action( 'wp_head', 'colabs_link' );
if (!function_exists('colabs_link')) {
function colabs_link(){ 
?>	
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('colabs_feedlinkurl') ) { echo get_option('colabs_feedlinkurl'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<?php 
}}

/*-----------------------------------------------------------------------------------*/
/*  Open Graph Meta Function    */
/*-----------------------------------------------------------------------------------*/
function colabs_meta_head(){
    do_action( 'colabs_meta' );
}
add_action( 'colabs_meta', 'og_meta' );  

/*-----------------------------------------------------------------------------------*/	
/* Search Form */
/*-----------------------------------------------------------------------------------*/
function custom_search( $form ) {

    $form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >
    <input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="Search"/>
    <input type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'" />
    </form>';

    return $form;
}

add_filter( 'get_search_form', 'custom_search' );


/*-----------------------------------------------------------------------------------*/
/* CoLabs - Add User Meta */
/*-----------------------------------------------------------------------------------*/ 
function new_user_meta( $contactmethods ) {

$contactmethods['twitter'] = 'Twitter';

$contactmethods['facebook'] = 'Facebook';

return $contactmethods;
}
add_filter('user_contactmethods','new_user_meta',10,1);



/*-----------------------------------------------------------------------------------*/
/* CoLabs - WP-Caption */
/*-----------------------------------------------------------------------------------*/

add_filter('img_caption_shortcode', 'colabs_img_caption',10,3);
function colabs_img_caption($val, $attr, $content = null)
{
	extract(shortcode_atts(array(
		'id'	=> '',
		'align'	=> '',
		'width'	=> '',
		'caption' => ''
	), $attr));
		return '<div class="wp-caption ' . esc_attr($align) . '">' . do_shortcode( $content ) . '<p class="wp-caption-text">' . $caption . '</p></div>';
}

/*-----------------------------------------------------------------------------------*/
/*  colabs_social_net - Add social network icon */
/*-----------------------------------------------------------------------------------*/
if(!function_exists('colabs_social_net')){
function colabs_social_net($class=''){
?>
    
      <div class="soc-net <?php if($class) echo $class; ?>">

		<a class="rss" href="<?php if('' != get_option("colabs_feed_url")){ echo 'http://feeds.feedburner.com/'.get_option("colabs_feed_url");	}else{ bloginfo("rss2_url"); }?>">
		<i class="icon-rss"></i></a>
		
		<?php if (''!=get_option("colabs_social_facebook")) : ?>
    	<a class="facebook" href="<?php echo get_option("colabs_social_facebook"); ?>"><i class="icon-facebook"></i></a>
    	<?php endif; ?>

    	<?php if (''!=get_option("colabs_social_twitter")) : ?>
    	<a class="twitter" href="<?php echo get_option("colabs_social_twitter"); ?>"><i class="icon-twitter"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_google") ) : ?>
    	<a class="google" href="<?php echo get_option("colabs_social_google");?>"><i class="icon-google"></i></a>
    	<?php endif; ?>
        
		<?php if ('' != get_option("colabs_social_picasa") ) : ?>
    	<a class="picasa" href="<?php echo get_option("colabs_social_picasa");?>"><i class="icon-picasa"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_youtube") ) : ?>
    	<a class="vimeo" href="<?php echo get_option("colabs_social_youtube");?>"><i class="icon-vimeo"></i></a>
    	<?php endif; ?>
    	
		<?php if ('' != get_option("colabs_social_flickr") ) : ?>
    	<a class="flickr" href="<?php echo get_option("colabs_social_flickr");?>"><i class="icon-flickr"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_linked") ) : ?>
    	<a class="linked" href="<?php echo get_option("colabs_social_linked");?>"><i class="icon-linkedin"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_delicious") ) : ?>
    	<a class="deli" href="<?php echo get_option("colabs_social_delicious");?>"><i class="icon-delicious-sign"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_lastfm") ) : ?>
    	<a class="lastfm" href="<?php echo get_option("colabs_social_lastfm");?>"><i class="icon-lastfm"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_stumbleupon") ) : ?>
    	<a class="stumble" href="<?php echo get_option("colabs_social_stumbleupon");?>"><i class="icon-stumble"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_techno") ) : ?>
    	<a class="techno" href="<?php echo get_option("colabs_social_techno");?>"><i class="icon-techno"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_wordpress") ) : ?>
    	<a class="social-wp" href="<?php echo get_option("colabs_social_wordpress");?>"><i class="icon-wordpress"></i></a>
    	<?php endif; ?>
		
		<?php if ('' != get_option("colabs_social_yahoo") ) : ?>
    	<a class="yahoo" href="<?php echo get_option("colabs_social_yahoo");?>"><i class="icon-yahoo"></i></a>
    	<?php endif; ?>
      </div>
    
<?php
}}

/*-----------------------------------------------------------------------------------*/
/* CoLabs - Footer Credit */
/*-----------------------------------------------------------------------------------*/
function colabs_credit(){
global $themename, $colabs_options;
if( 'true' != $colabs_options['colabs_footer_credit'] ){ ?>
Copyright &copy; 2012 <a href="http://www.vectors4all.net" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> Vector" rel="home"><?php echo get_option('colabs_themename'); ?> Vector</a> by <a href="http://www.mafiashare.net" title="Colorlabs themes">ColorLabs Themes</a>. All rights reserved.
<?php }else{ echo stripslashes( $colabs_options['colabs_footer_credit_txt'] ); } 
}


/*-----------------------------------------------------------------------------------*/
/* CoLabs - Add field user profile */
/*-----------------------------------------------------------------------------------*/
add_filter('user_contactmethods', 'my_user_contactmethods');
function my_user_contactmethods($user_contactmethods){
  $user_contactmethods['twitter'] = 'Twitter Username';
  $user_contactmethods['facebook'] = 'Facebook Username';

  return $user_contactmethods;
}


/*-----------------------------------------------------------------------------------*/
/* CoLabs - Init admin css */
/*-----------------------------------------------------------------------------------*/
function colabs_ini_css() {
        echo '<style type="text/css">
				#panel-content .screenshot img{max-width:100%; width:100%;}
			  </style>';
}
add_action('admin_head', 'colabs_ini_css');
?>