<?php
if (!is_admin()) add_action( 'wp_print_scripts', 'colabsthemes_add_javascript' );

if (!function_exists('colabsthemes_add_javascript')) {

	function colabsthemes_add_javascript () {
		
        wp_enqueue_script('jquery');

        wp_enqueue_script( 'plugins', trailingslashit( get_template_directory_uri() ) .'includes/js/plugins.js', array( 'jquery' ) );
        wp_enqueue_script( 'scripts', trailingslashit( get_template_directory_uri() ) .'includes/js/scripts.js', array( 'jquery' ) );
        
        wp_localize_script( 'jquery.ready', 'colabs_settings', array( 'baseurl' => home_url() ) );
        
		wp_localize_script('scripts','config', array('ajaxurl' => admin_url('admin-ajax.php'))); 
		/* We add some JavaScript to pages with the comment form to support sites with threaded comments (when in use). */        
        	if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );

	} /* // End colabsthemes_add_javascript() */
	
} /* // End IF Statement */


/*-----------------------------------------------------------------------------------*/
/* Ajax action for send email
/*-----------------------------------------------------------------------------------*/

add_action( 'wp_ajax_nopriv_email', 'colabs_send_email' );
add_action( 'wp_ajax_email', 'colabs_send_email' );

function colabs_send_email(){
	$name = $_POST['name'];
	$email = $_POST['email'];
	$website = $_POST['website'];
	$message = $_POST['message'];
	
	add_filter('wp_mail_content_type',create_function('', 'return "text/html";'));
	
	echo $check = wp_mail(get_option('colabs_contactform_email'), $name, '<p>'. __('Email','colabsthemes').' <em> : </em> '.$email.' </p><p>'. __('Name','colabsthemes').' <em> : </em> '.$name.' </p><p>'.$message.'</p>');
	if($check) wp_mail($email, get_option('colabs_contactform_subject'), get_option('colabs_contactform_message'));
	exit;
} 

/*-----------------------------------------------------------------------------------*/
/* Ajax action for get post post
/*-----------------------------------------------------------------------------------*/

add_action( 'wp_ajax_nopriv_getportfolio', 'getportfolio' );
add_action( 'wp_ajax_getportfolio', 'getportfolio' );

function getportfolio() {
  // ajax parameter
  $paged = $_POST['paged'];
  $taxonomy = $_POST['term'];

  // Create response array for return value for ajax
  $response = array();
  $response['message'] = 'Success';
  $response['data'] = array();

	if(empty($taxonomy)){
	$the_query = new WP_Query( array(
					'paged' => $paged,
					'post_status' => 'publish', 
					'post_type' => 'portfolio'
				));
	}else{			
	$the_query = new WP_Query( array(
					'paged' => $paged,
					'post_status' => 'publish',
					'post_type' => 'portfolio',
					'tax_query' => array(
										array(
											'taxonomy' => 'portfolio-category',
											'terms' => $taxonomy,
											'field' => 'term_id'
										)
					)
				));
	}		
			
	if ( $the_query->have_posts() ) : 
	
		while ( $the_query->have_posts() ) : $the_query->the_post(); 
		?>
			<li class="work-item">	
				<div class="entry-image"><?php colabs_image('width=347&height=207');?></div>
				<div class="overlay"> 
					<a class="portfolio-link" href="<?php the_permalink();?>"><i class="icon-link"></i></a>
					<a class="portfolio-zoom" href="<?php colabs_image('link=url');?>" rel="lightbox"><i class="icon-eye-open"></i></a>
				</div>
			</li>
		<?php	
		endwhile;
	
	endif;

	exit;
}

/*-----------------------------------------------------------------------------------*/
/* Ajax action for get post post
/*-----------------------------------------------------------------------------------*/

add_action( 'wp_ajax_nopriv_getpost', 'getpost' );
add_action( 'wp_ajax_getpost', 'getpost' );

function getpost() {
  // ajax parameter
  $paged = $_POST['paged'];
  if(''==get_option('permalink_structure')) $method = '&iframe'; else $method = '?iframe';  
  // Create response array for return value for ajax
  $response = array();
  $response['message'] = 'Success';
  $response['data'] = array();

$the_query = new WP_Query( array(
				'paged' => $paged,
				'post_status' => 'publish',
				'post_type' => 'post'
			));
if ( $the_query->have_posts() ) : 			
?>
			<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
			<li> 
				<?php colabs_image('width=300&height=180&before=<div class=entry-image>&after=</div>');?>
				
				<div class="entry-content">
					<h4><a href="<?php the_permalink(); echo $method;?>" class="popup" id="<?php the_ID(); ?>"><?php the_title();?></a></h4>
					<p class="date"><?php the_time(get_option('date_format'));?></p>
					<?php if ('' == colabs_image('link=url&return=false'))  {?>
						<p class="excerpt-content"><?php the_excerpt(); ?></p>
					<?php } ?>
				</div>
				
				<div class="entry-blog">
					<div class="row">
						<article class="entry-post row" id="blog<?php the_ID(); ?>">
							<h2 class="entry-title"><?php the_title(); ?></h2>
							<div class="entry-meta">
								<span class="time"><?php the_time(get_option('date_format'));?></span><?php _e("by","colabsthemes"); ?>
								<span class="author"><?php echo get_the_author_link(); ?></span>
							</div>
							<div class="entry-content">
								<?php colabs_custom_excerpt();?>
							</div>
						</article>
					</div>
				</div>
	
			</li>
			<?php endwhile; wp_reset_postdata();?>
<?php endif;

  exit;
}


/*-----------------------------------------------------------------------------------*/
/* Ajax action for get post post
/*-----------------------------------------------------------------------------------*/

add_action( 'wp_ajax_nopriv_gettestimonial', 'gettestimonial' );
add_action( 'wp_ajax_gettestimonial', 'gettestimonial' );

function gettestimonial() {
  // ajax parameter
  $paged = $_POST['paged'];

  // Create response array for return value for ajax
  $response = array();
  $response['message'] = 'Success';
  $response['data'] = array();
  
  $i=$paged*get_option('colabs_testimonial_limit');  
 
  if( (0== get_option('colabs_testimonial_limit')%2) ) $i--;
  
  $the_query = new WP_Query( array(
				'paged' => $paged,
				'post_type' => 'testimonial',
				'post_status' => 'publish',
				'showposts' => get_option('colabs_testimonial_limit')
			));
	while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
	
		<li <?php if(0== $i%2)echo 'class="odd"';?>>
			<?php colabs_image('width=85&height=85&before=<div class=entry-image>&after=</div>');?>
			<div class="entry-content">
				<p class="name"><?php the_title();?></p>
				<?php the_content();?>
			</div>
		</li>
		<?php $i++;endwhile;
	exit;
}  
?>
