<?php

//Enable CoLabsSEO on these custom Post types
//$seo_post_types = array('post','page');
//define("SEOPOSTTYPES", serialize($seo_post_types));

//Global options setup
add_action('init','colabs_global_options');
function colabs_global_options(){
	// Populate CoLabsThemes option in array for use in theme
	global $colabs_options;
	$colabs_options = get_option('colabs_options');
}

add_action('admin_head','colabs_options');  
if (!function_exists('colabs_options')) {
function colabs_options(){
	
// VARIABLES
$themename = "Expressions";
$manualurl = 'http://colorlabsproject.com';
$shortname = "colabs";

//Access the WordPress Categories via an Array
$colabs_categories = array();  
$colabs_categories_obj = get_categories('hide_empty=0');
foreach ($colabs_categories_obj as $colabs_cat) {
    $colabs_categories[$colabs_cat->cat_ID] = $colabs_cat->cat_name;}
//$categories_tmp = array_unshift($colabs_categories, "Select a category:");

//Access the WordPress Pages via an Array
$colabs_pages = array();
$colabs_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($colabs_pages_obj as $colabs_page) {
    $colabs_pages[$colabs_page->ID] = $colabs_page->post_name; }
//$colabs_pages_tmp = array_unshift($colabs_pages, "Select a page:");   

//Access the WordPress portfolio via an Array
$colabs_portfolios = array();
$colabs_portfolios_obj = get_posts(array('post_type'=>'portfolio', 'showposts' => -1));    
foreach ($colabs_portfolios_obj as $colabs_portfolio) {
    $colabs_portfolios[$colabs_portfolio->ID] = $colabs_portfolio->post_title; }
	

//Stylesheets Reader
$alt_stylesheet_path = get_template_directory() . '/styles/';
$alt_stylesheets = array();
if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(false !== stristr($alt_stylesheet_file, ".css")) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }
    }
}

//More Options
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");

$other_entries_10 = array("Select a number:","1","2","3","4","5","6","7","8","9","10");

$other_entries_4 = array("Select a number:","1","2","3","4");

// THIS IS THE DIFFERENT FIELDS
$options = array();
					
// General Settings
$options[] = array( "name" => __("General Settings","colabsthemes"),
					"type" => "heading",
					"icon" => "general");

$options[] = array( "name" => __( "Use for blog title/logo", "colabsthemes" ),
					"desc" => __( "Select title or logo for your blog.", "colabsthemes" ),
					"id" => $shortname."_logotitle",
					"std" => "logo",
					"type" => "select2",
					"options" => array( "logo" => __( "Logo", "colabsthemes" ), "title" => __( "Title", "colabsthemes" ) ) );
					
$options[] = array( "name" => __("Custom Logo","colabsthemes"),
					"desc" => __("Upload a logo for your theme, or specify an image URL directly. Best image size in 260x60 px","colabsthemes"),
					"id" => $shortname."_logo",
					"std" => trailingslashit( get_template_directory_uri() ) . "images/logo.png",
					"type" => "upload");
					          
$options[] = array( "name" => __("Custom Favicon","colabsthemes"),
					"desc" => __("Upload a 16x16px ico image that will represent your website's favicon. Favicon/bookmark icon will be shown at the left of your blog's address in visitor's internet browsers.","colabsthemes"),
					"id" => $shortname."_custom_favicon",
					"std" => trailingslashit( get_template_directory_uri() ) . "images/icons/favicon.png",
					"type" => "upload"); 
					
$options[] = array( "name" => __("Enable PressTrends Tracking","colabsthemes"),
					"desc" => __("PressTrends is a simple usage tracker that allows us to see how our customers are using our themes, so that we can help improve them for you. <strong>None</strong> of your personal data is sent to PressTrends.","colabsthemes"),
					"id" => $shortname."_pt_enable",
					"std" => "true",
					"type" => "checkbox");

$options[] = array( "name" => "Disable Responsive",
					"desc" => "You can disable responsive module for your site.",
					"id" => $shortname."_disable_mobile",
					"std" => "false",
					"type" => "checkbox");	

// General Settings
$options[] = array( "name" => __("Background Settings","colabsthemes"),
					"type" => "heading",
					"icon" => "general");					
					
$options[] = array( "name" => __("Background section Header","colabsthemes"),
					"desc" => __("Upload a background image for section header, or specify an image URL directly.","colabsthemes"),
					"id" => $shortname."_bg_header",
					"type" => "upload");		
					
$options[] = array( "name" => __("Background section team","colabsthemes"),
					"desc" => __("Upload a background image for section team, or specify an image URL directly.","colabsthemes"),
					"id" => $shortname."_bg_team",
					"type" => "upload");				
					
$options[] = array( "name" => __("Background section testimonial","colabsthemes"),
					"desc" => __("Upload a background image for section testimonial, or specify an image URL directly.","colabsthemes"),
					"id" => $shortname."_bg_testimonial",
					"type" => "upload");		
					
$options[] = array( "name" => __("Background section contact","colabsthemes"),
					"desc" => __("Upload a background image for your theme contact, or specify an image URL directly.","colabsthemes"),
					"id" => $shortname."_bg_contact",
					"type" => "upload");		
					
// FrontPage Options
$options[] = array( "name" => __("FrontPage Settings","colabsthemes"),
					"type" => "heading",
					"icon" => "home");
					
$options[] = array( "name" => __("CTA Title","colabsthemes"),
					"desc" => __("Enter your call to action title for your homepage","colabsthemes"),
					"id" => $shortname."_cta_title",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __("CTA Text","colabsthemes"),
					"desc" => __("Enter your call to action text for your homepage","colabsthemes"),
					"id" => $shortname."_cta_text",
					"std" => "",
					"type" => "textarea");
					
$options[] = array( "name" => __("CTA Button Text","colabsthemes"),
					"desc" => __("Enter your call to action button text for your homepage","colabsthemes"),
					"id" => $shortname."_cta_btn_text",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __("CTA Button Link","colabsthemes"),
					"desc" => __("Select your call to action button link for your homepage","colabsthemes"),
					"id" => $shortname."_cta_btn_link",
					"std" => "",
					"options" => $colabs_pages,
					"type" => "select2");					

$options[] = array( "name" => __("Portfolio","colabsthemes"),
					"desc" => __("Select portfolio","colabsthemes"),
					"id" => $shortname."_portfolio_home",
					"std" => "",
					"options" => $colabs_portfolios,
					"type" => "select2");
					
$options[] = array( "name" => __("Service Title","colabsthemes"),
					"desc" => __("Enter your service title for your homepage","colabsthemes"),
					"id" => $shortname."_service_title",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __("Service Text","colabsthemes"),
					"desc" => __("Enter your service text for your homepage","colabsthemes"),
					"id" => $shortname."_service_text",
					"std" => "",
					"type" => "textarea");
					
$options[] = array( "name" => __("Team Title","colabsthemes"),
					"desc" => __("Enter your team title for your homepage","colabsthemes"),
					"id" => $shortname."_team_title",
					"std" => "",
					"type" => "text");				
					
$options[] = array( "name" => __("Work Title","colabsthemes"),
					"desc" => __("Enter your work title for your homepage","colabsthemes"),
					"id" => $shortname."_work_title",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __("Work Text","colabsthemes"),
					"desc" => __("Enter your work text for your homepage","colabsthemes"),
					"id" => $shortname."_work_text",
					"std" => "",
					"type" => "textarea");	
					
$options[] = array( "name" => __("Testimonial Title","colabsthemes"),
					"desc" => __("Enter your testimonial title for your homepage","colabsthemes"),
					"id" => $shortname."_testimonial_title",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __("Testimonial post limit","colabsthemes"),
					"desc" => __("Set show limit testimonial","colabsthemes"),
					"id" => $shortname."_testimonial_limit",
					"std" => "3",
					"type" => "text");	
				                   
// Open Graph Settings
$options[] = array( "name" => __("Open Graph Settings","colabsthemes"),
					"type" => "heading",
					"icon" => "graph");

$options[] = array( "name" => __("Open Graph","colabsthemes"),
					"desc" => __("Enable or disable Open Graph Meta tags.","colabsthemes"),
					"id" => $shortname."_og_enable",
					"type" => "select2",
                    "std" => "",
                    "class" => "collapsed",
					"options" => array("" => "Enable", "disable" => "Disable") );

$options[] = array( "name" => __("Site Name","colabsthemes"),
					"desc" => __("Open Graph Site Name ( og:site_name ).","colabsthemes"),
					"id" => $shortname."_og_sitename",
					"std" => "",
                    "class" => "hidden",
					"type" => "text");

$options[] = array( "name" => __("Admin","colabsthemes"),
					"desc" => __("Open Graph Admin ( fb:admins ).","colabsthemes"),
					"id" => $shortname."_og_admins",
					"std" => "",
                    "class" => "hidden",
					"type" => "text");

$options[] = array( "name" => __("Image","colabsthemes"),
					"desc" => __("You can put the url for your Open Graph Image ( og:image ).","colabsthemes"),
					"id" => $shortname."_og_img",
					"std" => "",
                    "class" => "hidden last",
					"type" => "text");
					
//Dynamic Images 					                   
$options[] = array( "name" => __("Thumbnail Settings","colabsthemes"),
					"type" => "heading",
					"icon" => "image");
                    
$options[] = array( "name" => __("WordPress Featured Image","colabsthemes"),
					"desc" => __("Use WordPress Featured Image for post thumbnail.","colabsthemes"),
					"id" => $shortname."_post_image_support",
					"std" => "true",
					"class" => "collapsed",
					"type" => "checkbox");

$options[] = array( "name" => __("WordPress Featured Image - Dynamic Resize","colabsthemes"),
					"desc" => __("Resize post thumbnail dynamically using WordPress native functions (requires PHP 5.2+).","colabsthemes"),
					"id" => $shortname."_pis_resize",
					"std" => "true",
					"class" => "hidden",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("WordPress Featured Image - Hard Crop","colabsthemes"),
					"desc" => __("Original image will be cropped to match the target aspect ratio.","colabsthemes"),
					"id" => $shortname."_pis_hard_crop",
					"std" => "true",
					"class" => "hidden last",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("TimThumb Image Resizer","colabsthemes"),
					"desc" => __("Enable timthumb.php script which dynamically resizes images added thorugh post custom field.","colabsthemes"),
					"id" => $shortname."_resize",
					"std" => "true",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("Automatic Thumbnail","colabsthemes"),
					"desc" => __("Generate post thumbnail from the first image uploaded in post (if there is no image specified through post custom field or WordPress Featured Image feature).","colabsthemes"),
					"id" => $shortname."_auto_img",
					"std" => "true",
					"type" => "checkbox");
                    
$options[] = array( "name" => __("Thumbnail Image in RSS Feed","colabsthemes"),
					"desc" => __("Add post thumbnail to RSS feed article.","colabsthemes"),
					"id" => $shortname."_rss_thumb",
					"std" => "false",
					"type" => "checkbox");

$options[] = array( "name" => __("Thumbnail Image Dimensions","colabsthemes"),
					"desc" => __("Enter an integer value i.e. 250 for the desired size which will be used when dynamically creating the images.","colabsthemes"),
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_thumb_w',
											'type' => 'text',
											'std' => 100,
											'meta' => 'Width'),
									array(  'id' => $shortname. '_thumb_h',
											'type' => 'text',
											'std' => 100,
											'meta' => 'Height')
								  ));

$options[] = array( "name" => __("Custom Field Image","colabsthemes"),
					"desc" => __("Enter your custom field image name to change the default name (default name: image).","colabsthemes"),
					"id" => $shortname."_custom_field_image",
					"std" => "",
					"type" => "text");
					
// Analytics ID
$options[] = array( "name" => __("Analytics ID","colabsthemes"),
					"type" => "heading",
					"icon" => "statistics");

$options[] = array( "name" => __("GoSquared Token","colabsthemes"),
					"desc" => __("You can use <a href='http://www.gosquared.com/livestats/?ref=11674'>GoSquared</a> real-time web analytics. Enter your <strong>GoSquared Token</strong> here (ex. GSN-893821-D).","colabsthemes"),
					"id" => $shortname."_gosquared_id",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __("Google Analytics","colabsthemes"),
					"desc" => __("Manage your website statistics with Google Analytics, put your Analytics Code here. ","colabsthemes"),
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");

/* //Social Settings	 */				
$options[] = array( "name" => __("Social Networking","colabsthemes"),
					"icon" => "misc",
					"type" => "heading");
                    
$options[] = array( "name" => __("Title Social","colabsthemes"),
					"desc" => __("Enter your title social ","colabsthemes"),
					"id" => $shortname."_social_title",
					"std" => "",
					"type" => "text");  
                    
$options[] = array( "name" => __("Facebook","colabsthemes"),
					"desc" => __("Enter your Facebook profile URL","colabsthemes"),
					"id" => $shortname."_social_facebook",
					"std" => "",
					"type" => "text");  

$options[] = array( "name" => __("Twitter","colabsthemes"),
					"desc" => __("Enter your Twitter URL","colabsthemes"),
					"id" => $shortname."_social_twitter",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Delicious URL", "colabsthemes" ),
					"desc" => __( "Enter your Delicious URL", "colabsthemes" ),
					"id" => $shortname."_social_delicious",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __( "Flickr URL", "colabsthemes" ),
					"desc" => __( "Enter your Flickr URL", "colabsthemes" ),
					"id" => $shortname."_social_flickr",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "LastFM URL", "colabsthemes" ),
					"desc" => __( "Enter your LastFM account", "colabsthemes" ),
					"id" => $shortname."_social_lastfm",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __( "Picasa URL", "colabsthemes" ),
					"desc" => __( "Enter your Picasa account", "colabsthemes" ),
					"id" => $shortname."_social_picasa",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __( "WordPress URL", "colabsthemes" ),
					"desc" => __( "Enter your WordPress account", "colabsthemes" ),
					"id" => $shortname."_social_wordpress",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Yahoo URL", "colabsthemes" ),
					"desc" => __( "Enter your Yahoo account", "colabsthemes" ),
					"id" => $shortname."_social_yahoo",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __( "Google URL", "colabsthemes" ),
					"desc" => __( "Enter your Google URL", "colabsthemes" ),
					"id" => $shortname."_social_google",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => __( "Youtube URL", "colabsthemes" ),
					"desc" => __( "Enter your Youtube URL", "colabsthemes" ),
					"id" => $shortname."_social_youtube",
					"std" => "",
					"type" => "text");					

$options[] = array( "name" => __( "LinkedIn URL", "colabsthemes" ),
					"desc" => __( "Enter your LinkedIn URL", "colabsthemes" ),
					"id" => $shortname."_social_linked",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __("Enable/Disable Social Share Button","colabsthemes" ),
					"desc" => __("Select which social share button you would like to enable.","colabsthemes" ),
					"id" => $shortname."_share",
					"std" => array("fblike","twitter","google_plusone"),
					"type" => "multicheck2",
                    "class" => "",
					"options" => array(
                                    "fblike" => "Facebook Like Button",
                                    "twitter" => "Twitter Share Button",
                                    "google_plusone" => "Google +1 Button",
									"pinterest" => "Pinterest",
									"linkedin" => "Linked In"
                                )
                    );
									
//Advertising
$options[] = array( "name" => __( "Single Ad", "colabsthemes" )." (728x90px)",
					"type" => "heading",
					"icon" => "ads");    

$options[] = array( "name" => __( "Enable Ad", "colabsthemes" ),
					"desc" => __( "Enable the ad space for single post", "colabsthemes" ),
					"id" => $shortname."_ad_single",
					"std" => "false",
                    "class" => "collapsed",
					"type" => "checkbox");    

$options[] = array( "name" => __( "Adsense Code", "colabsthemes" ),
					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
					"id" => $shortname."_ad_single_adsense",
					"std" => "",
                    "class" => "hidden",
					"type" => "textarea");

$options[] = array( "name" => __( "Image Location", "colabsthemes" ),
					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
					"id" => $shortname."_ad_single_image",
					"std" => "",
                    "class" => "hidden",
					"type" => "upload");
					
$options[] = array( "name" => __( "Destination URL", "colabsthemes" ),
					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
					"id" => $shortname."_ad_single_url",
					"std" => "http://www.colorlabsproject.com",
                    "class" => "hidden last",
					"type" => "text");      

//Contact Form */
$options[] = array( "name" => __("Contact Form","colabsthemes"),
					"type" => "heading",
					"icon" => "general");

$options[] = array( "name" => __("Contact Email Address","colabsthemes"),
					"desc" => __("All inquiries made by your visitors through the Contact Form page will be sent to this email address.","colabsthemes"),
					"id" => $shortname."_contactform_email",
					"std" => "",
					"type" => "text"); 

$options[] = array( "name" => __("Subject autoresponse","colabsthemes"),
					"desc" => __("Enter the subject email autoresponse.","colabsthemes"),
					"id" => $shortname."_contactform_subject",
					"std" => "",
					"type" => "text"); 

$options[] = array( "name" => __("Message Autoresponse","colabsthemes"),
					"desc" => __("Enter the message email autoresponse.","colabsthemes"),
					"id" => $shortname."_contactform_message",
					"std" => "",
					"type" => "textarea"); 
					
$options[] = array( "name" => __("Address","colabsthemes"),
					"desc" => __("Enter your address.","colabsthemes"),
					"id" => $shortname."_contactform_address",
					"std" => "<h3>GRAND OFFICE</h3>
								<p>1600 Ampitheathre Parkway</p>
								<p>Mountain View CA 94748</p>
								<p>USA</p>",
					"type" => "textarea"); 

$options[] = array( "name" => __("Latitude","colabsthemes"),
					"desc" => __("Enter latitude map.","colabsthemes"),
					"id" => $shortname."_geo_latitude",
					"std" => "",
					"type" => "text"); 

$options[] = array( "name" => __("Longitude","colabsthemes"),
					"desc" => __("Enter Longitude map.","colabsthemes"),
					"id" => $shortname."_geo_longitude",
					"std" => "",
					"type" => "text"); 
	
// Footer Settings
$options[] = array( "name" => __("Footer Settings","colabsthemes"),
					"type" => "heading",
					"icon" => "footer");    

$options[] = array( "name" => __("Footer Menu","colabsthemes"),
					"desc" => __("Enable menu on footer.","colabsthemes"),
					"id" => $shortname."_footer_menu",
					"std" => "true",
					"type" => "checkbox");

$options[] = array( "name" => __("Enable / Disable Custom Credit","colabsthemes"),
					"desc" => __("Activate to add custom credit on footer area.","colabsthemes"),
					"id" => $shortname."_footer_credit",
					"class" => "collapsed",
					"std" => "true",
					"type" => "checkbox");    

$options[] = array( "name" => __("Footer Credit","colabsthemes"),
                    "desc" => __("You can customize footer credit here.","colabsthemes"),
                    "id" => $shortname."_footer_credit_txt",
					"class" => "last",
                    "std" => "",
                    "type" => "textarea");
					

// Add extra options through function
// if ( function_exists("colabs_options_add") )
// 	$options = colabs_options_add($options);

if ( get_option('colabs_template') != $options) update_option('colabs_template',$options);      
if ( get_option('colabs_themename') != $themename) update_option('colabs_themename',$themename);   
if ( get_option('colabs_shortname') != $shortname) update_option('colabs_shortname',$shortname);
if ( get_option('colabs_manual') != $manualurl) update_option('colabs_manual',$manualurl);

//PressTrends
$colabs_pt_auth = "38r9bzpktht9qwo5iegkcasz4x2grwq93"; 
update_option('colabs_pt_auth',$colabs_pt_auth);

// CoLabs Metabox Options
// Start name with underscore to hide custom key from the user
$colabs_metaboxes = array();
$colabs_metabox_settings = array();
global $post;

    //Metabox Settings
    $colabs_metabox_settings['post'] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs' . __( ' Image/Video Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'post',
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);                                    
                                    
    $colabs_metabox_settings['page'] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs ' . __( 'Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'page',
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);                      
                                    
    $colabs_metabox_settings['portfolio'] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs ' . __( 'Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'portfolio',
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);              
                                    
    $colabs_metabox_settings['testimonial'] = array(
                                'id' => 'colabsthemes-settings',
								'title' => 'ColorLabs ' . __( 'Settings', 'colabsthemes' ),
								'callback' => 'colabsthemes_metabox_create',
								'page' => 'testimonial',
								'context' => 'normal',
								'priority' => 'high',
                                'callback_args' => ''
								);

//post
if ( ( "post" == get_post_type()) || ( !get_post_type() ) ) {
    
	$colabs_metaboxes[] = array (  "name"  => $shortname."_single_top",
					            "std"  => "single_image",
					            "label" => "Item to Show",
					            "type" => "radio",
					            "desc" => "Choose Image/Embed Code to appear at the single top.",
								"options" => array(	"none" => "None",
													"single_image" => "Image",
													"single_video" => "Embed" ));
                                                    
	$colabs_metaboxes[] = array (	"name" => "image",
								"label" => "Post Custom Image",
								"type" => "upload",
                                "class" => "single_image",
								"desc" => "Upload an image or enter an URL.");

	if ( "true" == get_option("colabs_resize") ) {
		$colabs_metaboxes[] = array (	"name" => "_image_alignment",
									"std" => "Center",
									"label" => __( "Image Crop Alignment", "colabsthemes" ),
									"type" => "select2",
                                    "class" => "single_image",
									"desc" => __( "Select crop alignment for resized image", "colabsthemes" ),
									"options" => array(	"c" => "Center",
														"t" => "Top",
														"b" => "Bottom",
														"l" => "Left",
														"r" => "Right"));
	}
    
	$colabs_metaboxes[] = array (  "name"  => $shortname."_embed",
					            "std"  => "",
					            "label" => "Video Embed Code",
					            "type" => "textarea",
                                "class" => "single_video",
					            "desc" => "Enter the video embed code for your video (YouTube, Vimeo or similar)");
					
	$colabs_metaboxes[] = array (  "name"  => $shortname."_ad_single",
					            "std"  => "general_ad",
					            "label" => __( "Enable/Disable Ad", "colabsthemes" ),
					            "type" => "radio",
					            "desc" => __( "You can set No Ad, Custom Ad or Use General Ad that you can set on Theme Panel", "colabsthemes" ),
								"options" => array(	"none" => __("None","colabsthemes"),
													"general_ad" => __("Use General Ad","colabsthemes"),
													"custom_ad" => __("Custom Ad","colabsthemes") 
                                ));

    $colabs_metaboxes[] = array( "label" => __( "Adsense Code", "colabsthemes" ),
    					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_adsense",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "textarea");
    
    $colabs_metaboxes[] = array( "label" => __( "Image Location", "colabsthemes" ),
    					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_image",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "upload");
    					
    $colabs_metaboxes[] = array( "label" => __( "Destination URL", "colabsthemes" ),
    					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_url",
    					"std" => "http://www.colorlabsproject.com",
                        "class" => "custom_ad",
    					"type" => "text");
} // End post


if ( ( 'portfolio' == get_post_type()) || ( !get_post_type() ) ) {
	$colabs_metaboxes[] = array (  "name"  => $shortname."_ad_single",
					            "std"  => "general_ad",
					            "label" => __( "Enable/Disable Ad", "colabsthemes" ),
					            "type" => "radio",
					            "desc" => __( "You can set No Ad, Custom Ad or Use General Ad that you can set on Theme Panel", "colabsthemes" ),
								"options" => array(	"none" => __("None","colabsthemes"),
													"general_ad" => __("Use General Ad","colabsthemes"),
													"custom_ad" => __("Custom Ad","colabsthemes") 
                                ));

    $colabs_metaboxes[] = array( "label" => __( "Adsense Code", "colabsthemes" ),
    					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_adsense",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "textarea");
    
    $colabs_metaboxes[] = array( "label" => __( "Image Location", "colabsthemes" ),
    					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_image",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "upload");
    					
    $colabs_metaboxes[] = array( "label" => __( "Destination URL", "colabsthemes" ),
    					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_url",
    					"std" => "http://www.colorlabsproject.com",
                        "class" => "custom_ad",
    					"type" => "text");
}	

if ( ( 'testimonial' == get_post_type()) || ( !get_post_type() ) ) {
	$colabs_metaboxes[] = array (  "name"  => $shortname."_ad_single",
					            "std"  => "general_ad",
					            "label" => __( "Enable/Disable Ad", "colabsthemes" ),
					            "type" => "radio",
					            "desc" => __( "You can set No Ad, Custom Ad or Use General Ad that you can set on Theme Panel", "colabsthemes" ),
								"options" => array(	"none" => __("None","colabsthemes"),
													"general_ad" => __("Use General Ad","colabsthemes"),
													"custom_ad" => __("Custom Ad","colabsthemes") 
                                ));

    $colabs_metaboxes[] = array( "label" => __( "Adsense Code", "colabsthemes" ),
    					"desc" => __( "Enter your adsense code (or other ad network code) here.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_adsense",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "textarea");
    
    $colabs_metaboxes[] = array( "label" => __( "Image Location", "colabsthemes" ),
    					"desc" => __( "Enter the URL to the banner ad image location.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_image",
    					"std" => "",
                        "class" => "custom_ad",
    					"type" => "upload");
    					
    $colabs_metaboxes[] = array( "label" => __( "Destination URL", "colabsthemes" ),
    					"desc" => __( "Enter the URL where this banner ad points to.", "colabsthemes" ),
    					"name" => $shortname."_ad_single_url",
    					"std" => "http://www.colorlabsproject.com",
                        "class" => "custom_ad",
    					"type" => "text");
}						
						
if ( ( 'page' == get_post_type()) || ( !get_post_type() ) ) {
$post_type='page';

$colabs_metaboxes[] = array (  "name"  => $post_type."_as_featured",
					            "std"  => "false",
					            "label" => "",
					            "type" => "checkbox",
					            "desc" => __("Checked if you want show this page in front","colabsthemes"));

}//End Page 

// Add extra metaboxes through function
if ( function_exists("colabs_metaboxes_add") ){
	$colabs_metaboxes = colabs_metaboxes_add($colabs_metaboxes);
    }
if ( get_option('colabs_custom_template') != $colabs_metaboxes){
    update_option('colabs_custom_template',$colabs_metaboxes);
    }
if ( get_option('colabs_metabox_settings') != $colabs_metabox_settings){
    update_option('colabs_metabox_settings',$colabs_metabox_settings);
    }
     
}
}

/*-----------------------------------------------------------------------------------*/
/* Styling Hook */
/*-----------------------------------------------------------------------------------*/
if (!is_admin()) add_action( 'colabs_meta', 'colabsthemes_add_my_stylesheet' );
    
if (!function_exists('colabsthemes_add_my_stylesheet')) {

    function colabsthemes_add_my_stylesheet() {
    	echo '<link href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700" rel="stylesheet" type="text/css">';
  		echo '<link rel="stylesheet" type="text/css" href="'. get_template_directory_uri() . '/includes/css/fancybox/jquery.fancybox-1.3.4.css"/>';
  		echo '<link rel="stylesheet" type="text/css" href="'. get_template_directory_uri() . '/includes/css/framework.css"/>';
    }
}

?>